> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v12/reference/deferred-deep-linking/deferred-deep-linking.md).

# Deferred Deep Linking

## Get Deferred Deep Link

> Retrieves deferred deep linking information after a user has installed and opened the app for the first time.\
> This endpoint only accepts a Content-Type of \`application/x-www-form-urlencoded\`.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Deferred Deep Linking","version":"v12"},"servers":[{"url":"https://trkapi.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"DeepLinkSuccessResponse":{"type":"object","properties":{"landingPage":{"type":"string","format":"uri","description":"The URL of the web page the user was on before being deferred to the app store."},"clickId":{"type":"string","description":"The unique identifier generated by impact.com for the referring click."},"clickIpAddress":{"type":"string","description":"The IP address captured when the user clicked the tracking link."},"connectionIpAddress":{"type":"string","description":"The IP address captured when the app made this API request."}}},"DeepLinkErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"warnings":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}}}},"ResponseMessage":{"type":"object","properties":{"field":{"type":"string","description":"The parameter in the request that caused the message."},"level":{"type":"string","enum":["ERROR","WARNING"],"description":"The severity level of the message."},"message":{"type":"string","description":"A detailed explanation of the issue."}}}}},"paths":{"/DeferredDeepLink":{"post":{"summary":"Get Deferred Deep Link","description":"Retrieves deferred deep linking information after a user has installed and opened the app for the first time.\nThis endpoint only accepts a Content-Type of `application/x-www-form-urlencoded`.","operationId":"getDeferredDeepLink","tags":["Deferred Deep Linking"],"requestBody":{"description":"The details of the app install event required to retrieve the deep link information.","required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","required":["CampaignId","ImpactAppId","EventDate"],"properties":{"CampaignId":{"type":"integer","description":"Unique identifier for your program (campaign) in impact.com."},"ImpactAppId":{"type":"integer","description":"Your app's \"System App Id\" in the impact.com platform."},"EventDate":{"type":"string","format":"date-time","description":"The date and time the app install occurred (ISO 8601)."},"IpAddress":{"type":"string","description":"Public IP Address of the device. Automatically collected if the call is made from within the app."},"AppleIfa":{"type":"string","description":"Apple's Identifier for Advertising (IFA)."},"GoogAId":{"type":"string","description":"Google Advertising Identifier (GAID)."},"AppInstallRef":{"type":"string","description":"The install referrer value from the Google Play Store."},"AppPackage":{"type":"string","description":"The unique app/bundle ID from the respective app store."},"CustomProfileId":{"type":"string","description":"Your third-party web tracking cookie/identifier."}}}}}},"responses":{"200":{"description":"The request was processed successfully. The response contains the deep link information.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeepLinkSuccessResponse"}}}},"400":{"description":"The request was invalid due to missing or malformed parameters. The response contains errors and warnings.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeepLinkErrorResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v12/reference/deferred-deep-linking/deferred-deep-linking.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
